Bug 1023588 - Cartridges installed from non-default location are not contained in memory index
Cartridges installed from non-default location are not contained in memory index
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 16:37 EDT by Jhon Honce
Modified: 2015-05-14 19:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:27:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jhon Honce 2013-10-25 16:37:13 EDT
Description of problem:
The memory index of the Node's cartridge repository is only populated from /var/libexec/openshift/cartridges not /var/lib/openshift/.cartridge_repository

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install a cartridge from a location other than /var/libexec/openshift/cartridge using oo-admin-cartridge --action install
2. oo-admin-broker-cache --clear
3. service ruby193-mcollective restart
4. rhc cartridge list

Actual results:
The new cartridge is not in the list

Expected results:
The new cartridge should be on the list

Additional info:
Comment 2 openshift-github-bot 2013-10-25 22:56:57 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/68ebe6e25a05f0edcb6d6369edd46424d986910c
Bug 1023588 - Build cartridge index from cache

* Restore support for cartridges added to node via oo-admin-cartridge
Comment 3 Yan Du 2013-10-28 02:11:36 EDT
test on devenv_3953, new installed cartridge can be listed.

steps:
1. install cartridge to a location other than /var/libexec/openshift/cartridge, eg, modified the zend cartrdige version and name, then install
2. oo-admin-broker-cache --clear
3. service ruby193-mcollective restart
4. rhc cartridge list to check the new installed cartridge

[root@ip-10-141-174-107 test]# rhc cartridge list 
jbossas-7           JBoss Application Server 7                  web
jbosseap-6 (*)      JBoss Enterprise Application Platform 6.1.0 web
jenkins-1           Jenkins Server                              web
mock-0.1            Mock Cartridge 0.1                          web
mock-0.2            Mock Cartridge 0.2                          web
mock-0.3            Mock Cartridge 0.3                          web
mock-0.4            Mock Cartridge 0.4                          web
zend-5.66666        mycartridge                                 web <====

move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.